# Delete Folder

Source: https://www.digiparser.com/docs/api/deleteFolder

# Delete Folder

Server URL`loading...`

DELETE

/`api`/`v1`/`parsers`/`{parserId}`/`folders`/`{folderId}`

Send

Authorization

Path

Query

Body

Delete a folder. By default, documents in the folder are moved out of the folder. Set `deleteDocuments=true` to delete the folder's documents as well.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

folderId\*string

The ID of the folder

Format`uuid`

## [Query Parameters](#query-parameters)

deleteDocuments?boolean

Delete documents in the folder instead of moving them out.

Default`false`

## [Request Body](#request-body)

`application/json`

deleteDocuments?boolean

Delete documents in the folder instead of moving them out.

Default`false`

## [Response Body](#response-body)

### 200

`application/json`

### 401

`application/json`

### 404

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X DELETE "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/folders/76e4f0ef-15d0-4bde-8c0e-43d361c0795c" \  -H "Content-Type: application/json" \  -d '{}'
```

200401404

```
{
  "success": true,
  "deletedDocuments": 0,
  "movedDocuments": 24
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

```
{
  "error": true,
  "message": "Document not found",
  "notFound": [
    {
      "type": "documentId",
      "value": "string"
    }
  ]
}
```

[

Update Folder PATCH

Update a parser folder.

](/docs/api/updateFolder)[

List Reviewers GET

List team members who can be assigned to review stages or documents.

](/docs/api/listReviewers)